VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Variables
Steinberg::Vst::AttributesFunction Namespace Reference

Attributes Function used to defined the function of a Layer in a VST XML Representation. More...

## Variables
const CString | kPanPosCenterXFunc = "PanPosCenterX"
| Global Style.
const CString | kPanPosCenterYFunc = "PanPosCenterY"
| Gravity point Y-axis (Front-Rear)
const CString | kPanPosFrontLeftXFunc = "PanPosFrontLeftX"
| Left channel Position in X-axis.
const CString | kPanPosFrontLeftYFunc = "PanPosFrontLeftY"
| Left channel Position in Y-axis.
const CString | kPanPosFrontRightXFunc = "PanPosFrontRightX"
| Right channel Position in X-axis.
const CString | kPanPosFrontRightYFunc = "PanPosFrontRightY"
| Right channel Position in Y-axis.
const CString | kPanRotationFunc = "PanRotation"
| Rotation around the Center (gravity point)
const CString | kPanLawFunc = "PanLaw"
| Panning Law.
const CString | kPanMirrorModeFunc = "PanMirrorMode"
| Panning Mirror Mode.
const CString | kPanLfeGainFunc = "PanLfeGain"
| Panning LFE Gain.
const CString | kGainReductionFunc = "GainReduction"
| Gain Reduction for compressor.
const CString | kSoloFunc = "Solo"
| Solo.
const CString | kMuteFunc = "Mute"
| Mute.
const CString | kVolumeFunc = "Volume"
| Volume.

## Detailed Description

Attributes Function used to defined the function of a Layer in a VST XML Representation.

## Variable Documentation

## ◆ kPanPosCenterXFunc

const CString kPanPosCenterXFunc = "PanPosCenterX"

Global Style.

Gravity point X-axis (L-R) (for stereo: middle between left and right)

## ◆ kPanPosCenterYFunc

const CString kPanPosCenterYFunc = "PanPosCenterY"

Gravity point Y-axis (Front-Rear)

## ◆ kPanPosFrontLeftXFunc

const CString kPanPosFrontLeftXFunc = "PanPosFrontLeftX"

Left channel Position in X-axis.

## ◆ kPanPosFrontLeftYFunc

const CString kPanPosFrontLeftYFunc = "PanPosFrontLeftY"

Left channel Position in Y-axis.

## ◆ kPanPosFrontRightXFunc

const CString kPanPosFrontRightXFunc = "PanPosFrontRightX"

Right channel Position in X-axis.

## ◆ kPanPosFrontRightYFunc

const CString kPanPosFrontRightYFunc = "PanPosFrontRightY"

Right channel Position in Y-axis.

## ◆ kPanRotationFunc

const CString kPanRotationFunc = "PanRotation"

Rotation around the Center (gravity point)

## ◆ kPanLawFunc

const CString kPanLawFunc = "PanLaw"

Panning Law.

## ◆ kPanMirrorModeFunc

const CString kPanMirrorModeFunc = "PanMirrorMode"

Panning Mirror Mode.

## ◆ kPanLfeGainFunc

const CString kPanLfeGainFunc = "PanLfeGain"

Panning LFE Gain.

## ◆ kGainReductionFunc

const CString kGainReductionFunc = "GainReduction"

Gain Reduction for compressor.

## ◆ kSoloFunc

const CString kSoloFunc = "Solo"

Solo.

## ◆ kMuteFunc

const CString kMuteFunc = "Mute"

Mute.

## ◆ kVolumeFunc

const CString kVolumeFunc = "Volume"

Volume.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.